<?php
// Création d'un tableau d'entiers
$tab2_ent = array (
   -1 => array(1 =>  18, 9 => 22),
    1 => array(-1 => -3,3 => -25),
    5 => array(-5,88,120));
// Création d'un tableau de chaînes de caractères
$tab2_noms = array (
  -1 => array(0 => 'Martin', 2 => 'Dupont'),
  10 => array(3 => 'Durand', 6 => 'Mery'));
// Tableau des codes postaux
$CP_DEPT = array (
    'CRETEIL'   => array ('CP' => 94000, 'DEPT' => 'Val-de-Marne'),
    'NICE'      => array ('CP' =>  6000, 'DEPT' => 'Alpes-Maritimes'),
    'LA BAULE'  => array ('CP' => 44500, 'DEPT' => 'Loire-Atlantique'),
    'STRASBOURG'=> array ('CP' => 67000, 'DEPT' => 'Bas-Rhin'));
// affichage des trois tableaux
echo '--- Affichage de $tab2_ent ---'.PHP_EOL;
while ($tabligne=current($tab2_ent))
{
 $numligne=key($tab2_ent);
 while ($valeur=current($tabligne))
 {
   $numcolonne=key($tabligne);
   echo "[$numligne][$numcolonne]:$valeur\t";
   next($tabligne);
 }
 next($tab2_ent);
}
echo PHP_EOL;
echo '--- Affichage de $tab2_noms ---'.PHP_EOL;
while ($tabligne=current($tab2_noms))
{
 $numligne=key($tab2_noms);
 while ($valeur=current($tabligne))
 {
   $numcolonne=key($tabligne);
   echo "[$numligne][$numcolonne]:$valeur\t";
   next($tabligne);
 }
 next($tab2_noms);
}
echo PHP_EOL;
echo '--- Affichage de $CP_DEPT ---'.PHP_EOL;
while ($tabligne=current($CP_DEPT))
{
 $numligne=key($CP_DEPT);
 while ($valeur=current($tabligne))
 {
   $numcolonne=key($tabligne);
   echo "[$numligne][$numcolonne]:$valeur\t";
   next($tabligne);
 }
 next($CP_DEPT);
}
echo PHP_EOL;
?>
